View Issue Details

IDProjectCategoryView StatusLast Update
0001596SUMoNew Featurepublic2015-09-24 14:34
ReporterpoutnikgAssigned ToKyle_Katarn 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
PlatformNotebook Lenovo T400OSWindows XPOS VersionProfesional SP3
Product Version3.1.3 
Target Version4.0Fixed in Version4.0 
Summary0001596: Autoupdate feature of SUMO itself
DescriptionIt could be good for SUMO
to have ( optional ) feature of self autoupdating.
TagsNo tags attached.

Relationships

has duplicate 0002609 resolvedKyle_Katarn auto update 
related to 0001640 resolvedKyle_Katarn SUMO update check as the first operation 

Activities

Kyle_Katarn

2013-01-01 22:32

administrator   ~0001351

Requested by user "pc" on Jan 1st 2013 too.

To be implemented soon.
On update detection user should be proposed to :
- Go to web site
- Read change log
- Download and run installer (but full / noRK : lite ? depending on previous choice ?)

poutnikg

2013-01-02 01:13

reporter   ~0001352

And/Or, just auto replacement of files.

bytehead

2013-01-07 01:21

reporter   ~0001353

As in most decent apps the change log should be presented before downloading/updating any other files, then only the _lite_ installer (with no extras) should be offered to be downloaded, auto-launched and auto-deleted from the system temp folder *as a single step* for user. Just one click to make, decline or update now, with no strings attached.

Degit22

2013-08-13 14:40

reporter   ~0001473

When it appears? Really miss automatic updates, as SUMo updated frequently and it is very uncomfortable.

Issue History

Date Modified Username Field Change
2012-06-08 13:18 poutnikg New Issue
2012-06-08 23:09 Kyle_Katarn Assigned To => Kyle_Katarn
2012-06-08 23:09 Kyle_Katarn Status new => acknowledged
2012-08-09 14:25 bytehead Relationship added related to 0001640
2013-01-01 22:32 Kyle_Katarn Note Added: 0001351
2013-01-02 01:13 poutnikg Note Added: 0001352
2013-01-07 01:21 bytehead Note Added: 0001353
2013-08-13 14:40 Degit22 Note Added: 0001473
2014-09-08 21:04 Kyle_Katarn Relationship added has duplicate 0002609
2015-06-21 15:22 Kyle_Katarn Target Version => 4.0
2015-07-05 15:12 Kyle_Katarn Status acknowledged => resolved
2015-07-05 15:12 Kyle_Katarn Fixed in Version => 4.0
2015-07-05 15:12 Kyle_Katarn Resolution open => fixed